WordPress.org

Ready to get started?Download WordPress

Forums

Batcache errors (2 posts)

  1. Joss Winn
    Member
    Posted 2 years ago #

    I've just installed Batcache with APC and it's working fine, except that the apache logs are filling up with errors like this:

    [Mon May 28 16:45:59 2012] [error] [client 66.249.72.114] PHP Warning:  Cannot modify header information - headers already sent in /var/www/html/wp-content/advanced-cache.php on line 145
    [Mon May 28 16:45:59 2012] [error] [client 66.249.72.114] PHP Warning:  Cannot modify header information - headers already sent in /var/www/html/wp-content/advanced-cache.php on line 146

    NewRelic (the monitoring tool we use) provides this report. I don't know where to start, I'm afraid.

    I'm running the development version of Batcache, v2.03 of https://wordpress.org/extend/plugins/apc/ and WP 3.3.2

    Here's the stacktrace:

    Error: Cannot modify header information - headers already sent
    
    Sample stack trace
    
                    in header called at /var/www/html/wp-content/advanced-cache.php (145)
    in batcache::ob called at ? (?)
                  in ob_end_flush called at /var/www/html/wp-includes/functions.php (3335)
    in wp_ob_end_flush_all called at ? (?)
             in call_user_func_array called at /var/www/html/wp-includes/plugin.php (405)
                          in do_action called at /var/www/html/wp-includes/load.php (556)
    in shutdown_action_hook called at ? (?)

    Thanks for any help.

  2. Joss Winn
    Member
    Posted 2 years ago #

    I think I know why this is now. I'm using mod_deflate with apache. Turning off cache-control for batcache has stopped the errors.

Topic Closed

This topic has been closed to new replies.

About this Topic